Bug 471740 - postgresql_autodoc requires postgresql-server
postgresql_autodoc requires postgresql-server
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: postgresql_autodoc (Show other bugs)
11
All Linux
medium Severity low
: ---
: ---
Assigned To: Devrim GÜNDÜZ
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-15 08:23 EST by Martí­n Marqués
Modified: 2011-03-04 00:53 EST (History)
1 user (show)

See Also:
Fixed In Version: postgresql_autodoc-1.40-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-30 19:42:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martí­n Marqués 2008-11-15 08:23:56 EST
Description of problem:

To have postgresql_autodoc you need to have installed postgresql-server. This is, IMHO a wrong requirement as postgresql_autodoc lets you connect to a remote host (see the -h option).

This requirement should be removed from the rpm spec file, as autodoc can work OK without the server.

Version-Release number of selected component (if applicable):

postgresql_autodoc-1.31-1.fc9.noarch

How reproducible:

# rpm -q --requires postgresql_autodoc
/usr/bin/perl
perl(DBD::Pg)
perl(DBI)
perl(Fcntl)
perl(HTML::Template)
perl(Term::ReadKey)
perl(strict)
perl(warnings)
perl-TermReadKey
postgresql-server >= 8.0
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:



Additional info:
Comment 1 Bug Zapper 2009-06-09 23:16:28 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Martí­n Marqués 2009-06-10 06:52:06 EDT
I had absolutely no response on this issue. Is the postgresql_autodoc maintainer still active?

# yum deplist postgresql_autodoc
Loaded plugins: dellsysidplugin2, downloadonly, fastestmirror, priorities, refresh-packagekit, security
Loading mirror speeds from cached hostfile                                                             
[trim]
Finding dependencies:
package: postgresql_autodoc.noarch 1.31-2.fc11
[trim]
  dependency: postgresql-server >= 8.0
   provider: postgresql-server.x86_64 8.3.7-1.fc11

So I'm gonna change this to F11.
Comment 3 Bug Zapper 2010-04-27 08:20:49 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora Update System 2010-04-30 03:14:52 EDT
postgresql_autodoc-1.40-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/postgresql_autodoc-1.40-3.fc12
Comment 5 Fedora Update System 2010-04-30 03:15:17 EDT
postgresql_autodoc-1.40-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/postgresql_autodoc-1.40-2.fc13
Comment 6 Fedora Update System 2010-04-30 03:15:22 EDT
postgresql_autodoc-1.40-2.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/postgresql_autodoc-1.40-2.el4
Comment 7 Fedora Update System 2010-04-30 19:42:37 EDT
postgresql_autodoc-1.40-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-05-03 12:05:10 EDT
postgresql_autodoc-1.40-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-05-18 22:39:10 EDT
postgresql_autodoc-1.40-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2011-03-04 00:53:43 EST
postgresql_autodoc-1.40-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.